cgIsInterfaceType(3)

NAME
cgIsInterfaceType - determine if a type is an interface

SYNOPSIS
  #include <Cg/cg.h>
  CGbool cgIsInterfaceType( CGtype type );

PARAMETERS

type
    The type being evaluated.

RETURN VALUES
Returns CG_TRUE if type is an interface (not just a struct).

Returns CG_FALSE otherwise.

DESCRIPTION
cgIsInterfaceType returns CG_TRUE if type is an interface (not just a struct), CG_FALSE otherwise.

EXAMPLES
to-be-written

ERRORS
None.

HISTORY
cgIsInterfaceType was introduced in Cg 1.2.

SEE ALSO
the cgGetType manpage